LINUX.ORG.RU

KDE 3.2


0

0

Problemy so sborkoi kdebase - sobiraju kdelibs: ./configure --prefix=/opt/kde, potom kdebase: ./configure --prefix=/opt/kde, poluchaju soobshenie: "ERROR: kdelibs is not installed" V chem delo?!! Zaranee spasibo. P.S. Sorry chto translitom, no shrifty consolnye ne prikrucheny, a X-ov tut net...

Re: KDE 3.2

А ты после конфигуре собрал и установил kdelibs ?? :) configure - это хорошо, но ещё бы неплохо make && make install ;)

anonymous ()

Re: KDE 3.2

на самом деле prefix для кде не нужен.

тебе нужно устанвить переменную KDEDIR

export KDEDIR=/opt/kde

потом

cd arts
./configure
make
make install

cd ..
cd kdelibs
./configure
make
make install
....
....



и вобще нада бы читать INTSALL & README

Sveta_F ()
Ответ на: Re: KDE 3.2 от Sveta_F

Re: Re: KDE 3.2

2: Sveta_F: A razve nelzja obnovit tolko kdelibs i kdebase? Ved kdelibs sconfigurilsja, scompililsja i ustanovilsja normalno...

BregorEsgarothian ()
Ответ на: Re: Re: KDE 3.2 от BregorEsgarothian

Re: Re: Re: KDE 3.2

послушай, я тебе сказала как надо делать правильно. если ты хочешь делать посвоему делай как хочешь. только вот видишь, по твоему оно не устанавливаеца. делай выводы.

Sveta_F ()
Ответ на: Re: KDE 3.2 от Sveta_F

Re: Re: KDE 3.2

а вообще лучше не *бать мозги и ставить из бинарей

Reset ★★★★★ ()
Ответ на: Re: Re: Re: KDE 3.2 от Sveta_F

Re: Re: Re: Re: KDE 3.2

2: Sveta_F: А в какой вообще последовательности надо ставить? Arts - Kdelibs - kdebase не работает... Вообще все кроме arts требует kdelibs... Делаю все по твоему методу, а толку все равно мало... :((((

BregorEsgarothian ()

Re: KDE 3.2

У меня тоже подобная проблема сегодня была... Собирал kdebase из cvs, получил "KDE plugins not installed" или чего-то в этом роде. Покопался немного в config.log, нашел что это происходит из-за того что свежий uic почему-то не видит дизайн-плагинов от kde (lib/kde3/plugins/designer). Не видит совсем :( Дальше стало лень копать, потому что kde в принципе для работы не нужен, только перевожу... Посему поплевался, да и начал закачивать бинари :)

uj2 ★★★ ()
Ответ на: Re: KDE 3.2 от uj2

Re: Re: KDE 3.2

Ура! Я снова могу писать по-русски! :) Вот точное сообщение об ошибке:

"checking if UIC has KDE plugins available... no

configure: error: you need to install kdelibs first"

Как с этим бороться?..

BregorEsgarothian ()
Ответ на: Re: Re: KDE 3.2 от BregorEsgarothian

Re: Re: Re: KDE 3.2

>"checking if UIC has KDE plugins available... no

это, что, при configure в kdebase?

запости кусок config.log там где про эту ошибку. и еще запости вывод env.

просто я всегда собираю из CVS и никогда небыло таких проблем.

Sveta_F ()
Ответ на: Re: Re: Re: KDE 3.2 от Sveta_F

Re: Re: Re: Re: KDE 3.2

2: Sveta_F: nu da - eto vylazit pri configurirovanii lubyh kuskov kde. A eshe toje samoe govorjat vse progi, zavisimye ot kdelibs - k3b, etc. Kstati - ne v kurse, gde hranjatsa opredelenija peremennyh KDEDIR, QTDIR, etc? A config.log ja tolko zavtra zapostit smogu - segodnja ja doma ne pojavlus...

BregorEsgarothian ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.